Bug 216420 - [MAINTAINER] net/xrdp-devel: Update to 0.9.1
Summary: [MAINTAINER] net/xrdp-devel: Update to 0.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 213219
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-24 01:29 UTC by Koichiro Iwao
Modified: 2017-03-28 19:32 UTC (History)
2 users (show)

See Also:


Attachments
patch (58.29 KB, text/plain)
2017-01-24 01:29 UTC, Koichiro Iwao
no flags Details
patch (51.07 KB, text/plain)
2017-02-01 08:25 UTC, Koichiro Iwao
no flags Details
patch (53.68 KB, patch)
2017-02-03 15:55 UTC, Koichiro Iwao
no flags Details | Diff
newly addes patches in files dir (4.27 KB, text/plain)
2017-02-08 02:54 UTC, Koichiro Iwao
no flags Details
patch (58.42 KB, patch)
2017-02-08 03:13 UTC, Koichiro Iwao
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2017-01-24 01:29:35 UTC
Created attachment 179267 [details]
patch
Comment 1 Koichiro Iwao freebsd_committer 2017-02-01 08:25:55 UTC
Created attachment 179489 [details]
patch

Updated patch.
Comment 2 Kurt Jaeger freebsd_committer 2017-02-02 06:41:46 UTC
I've looked at the patch, and it deleted net/xrdp-devel ? Is that what it's
supposed to do ?
Comment 3 Koichiro Iwao freebsd_committer 2017-02-03 06:47:30 UTC
(In reply to Kurt Jaeger from comment #2)
No, I'll submit correct patch again.
Comment 4 Koichiro Iwao freebsd_committer 2017-02-03 15:55:29 UTC
Created attachment 179570 [details]
patch

I think now I could generate a correct patch.

The updated port should have these files. Other files are removed.

net/xrdp-devel
├── Makefile
├── distinfo
├── files
│   ├── patch-configure.ac
│   ├── patch-sesman_sesman.ini
│   ├── patch-xrdp_xrdp.ini
│   ├── pkg-install.in
│   └── pkg-message.in
├── pkg-descr
└── pkg-plist

1 directory, 9 files
Comment 5 Koichiro Iwao freebsd_committer 2017-02-07 00:17:58 UTC
 (In reply to Kurt Jaeger from comment #2)

Could you take this?
Comment 6 Kurt Jaeger freebsd_committer 2017-02-07 06:21:11 UTC
testbuilds@work
Comment 7 Kurt Jaeger freebsd_committer 2017-02-07 06:34:03 UTC
Testbuilding on 12a has this:

checking for OPENSSL... no
configure: error: please install libssl-dev or openssl-devel
===>  Script "configure" failed unexpectedly.
Please report the problem to meta+ports@vmeta.jp [maintainer] and attach the
"/wrkdirs/usr/ports/net/xrdp-devel/work/xrdp-0.9.1/config.log" including the
output of the failure of your make command. Also, it might be a good idea to
provide an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1
Comment 8 Koichiro Iwao freebsd_committer 2017-02-08 02:54:30 UTC
Created attachment 179734 [details]
newly addes patches in files dir

The patch doesn't contain newly added patches. Sorry.
I submit newly added patches.
Comment 9 Koichiro Iwao freebsd_committer 2017-02-08 03:13:40 UTC
Created attachment 179735 [details]
patch

I'm sorry again and again. Finally the patch should be complete.

Just in case the patch is still incomplete, please see the snapshot of the updated port in my GitHub repo.
https://github.com/metalefty/freebsd-ports/tree/09eb67ac9dbb64d49e9dfb3ee880fb2b582075fd/net/xrdp-devel
Comment 10 Koichiro Iwao freebsd_committer 2017-02-16 00:12:55 UTC
Can this be committed in this month?
Comment 11 Koichiro Iwao freebsd_committer 2017-03-03 00:09:49 UTC
I confirmed that it builds by poudriere successfully.
Comment 12 commit-hook freebsd_committer 2017-03-03 10:16:23 UTC
A commit references this bug:

Author: pi
Date: Fri Mar  3 10:16:00 UTC 2017
New revision: 435325
URL: https://svnweb.freebsd.org/changeset/ports/435325

Log:
  net/xrdp-devel: update 0.7.0.b20130912 -> 0.9.1

  PR:		216420
  Changes:	https://github.com/neutrinolabs/xrdp/wiki/NEWS
  Submitted by:	Koichiro IWAO <meta+ports@vmeta.jp> (maintainer)

Changes:
  head/net/xrdp-devel/Makefile
  head/net/xrdp-devel/distinfo
  head/net/xrdp-devel/files/km-0411.ini
  head/net/xrdp-devel/files/km-e0010411.ini
  head/net/xrdp-devel/files/km-e0200411.ini
  head/net/xrdp-devel/files/km-e0210411.ini
  head/net/xrdp-devel/files/patch-common__os_calls.c
  head/net/xrdp-devel/files/patch-configure.ac
  head/net/xrdp-devel/files/patch-fix-autologin
  head/net/xrdp-devel/files/patch-instfiles__Makefile.am
  head/net/xrdp-devel/files/patch-sesman__Makefile.am
  head/net/xrdp-devel/files/patch-sesman__session.c
  head/net/xrdp-devel/files/patch-sesman_sesman.ini
  head/net/xrdp-devel/files/patch-xrdp__Makefile.am
  head/net/xrdp-devel/files/patch-xrdp_xrdp.ini
  head/net/xrdp-devel/files/pkg-install.in
  head/net/xrdp-devel/files/xrdp.in
  head/net/xrdp-devel/pkg-plist
Comment 13 commit-hook freebsd_committer 2017-03-03 12:25:22 UTC
A commit references this bug:

Author: pi
Date: Fri Mar  3 12:25:13 UTC 2017
New revision: 435342
URL: https://svnweb.freebsd.org/changeset/ports/435342

Log:
  net/xrdp-devel: unbreak index by deleting RUN_DEPEND on non-existing port

  PR:		216420
  Pointy hat to:	pi

Changes:
  head/net/xrdp-devel/Makefile
Comment 14 Kurt Jaeger freebsd_committer 2017-03-03 12:39:50 UTC
I failed to see the run dependency on the other port, which fails to build.

Now, how do we proceed ?
Comment 15 commit-hook freebsd_committer 2017-03-28 19:30:38 UTC
A commit references this bug:

Author: pi
Date: Tue Mar 28 19:29:46 UTC 2017
New revision: 437152
URL: https://svnweb.freebsd.org/changeset/ports/437152

Log:
  net/xrdp-devel: re-add RUN_DEPENDS on x11-drivers/xorgxrdp

  - re-add after the port we depend on has finally landed

  PR:		216420
  Submitted by:	Koichiro IWAO <meta+ports@vmeta.jp> (maintainer)

Changes:
  head/net/xrdp-devel/Makefile
Comment 16 Kurt Jaeger freebsd_committer 2017-03-28 19:32:38 UTC
Committed, thanks!